Bug 29048 - [Qt] make RenderStyle.h compile in winscw compiler.
: [Qt] make RenderStyle.h compile in winscw compiler.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: S60 Emulator S60 3rd edition
: P2 Normal
Assigned To: Yongjun Zhang
: Qt
Depends on:
Blocks: 27065
  Show dependency treegraph
 
Reported: 2009-09-08 13:43 PDT by Yongjun Zhang
Modified: 2010-12-16 09:28 PST (History)
5 users (show)

See Also:


Attachments
Change compareEqual to a macro in Winscw compiler to get around "illegal operand" error when compareEqual is defined as template. (1.25 KB, patch)
2009-09-08 14:50 PDT, Yongjun Zhang
eric: review-
Details | Formatted Diff | Diff
add link to winscw compiler bug as suggested by Erik. (1.34 KB, patch)
2009-12-30 14:27 PST, Yongjun Zhang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yongjun Zhang 2009-09-08 13:43:27 PDT
In RenderStyle.h, Winscw compiler is not able to resolve compareEuqal used in SET_VAR macro; the compiler reports error "illegal operand".
Comment 1 Yongjun Zhang 2009-09-08 14:50:49 PDT
Created attachment 39217 [details]
Change compareEqual to a macro in Winscw compiler to get around "illegal operand" error when compareEqual is defined as template.
Comment 2 Eric Seidel 2009-09-08 14:53:39 PDT
Comment on attachment 39217 [details]
Change compareEqual to a macro in Winscw compiler to get around "illegal operand" error when compareEqual is defined as template.

There needs to be a comment next to the macro definition as to why it exists.

Also, could you paste the error in the bug?  Are we sure this is the best solution?  Do we have a bug filed with the winscw compiler?  If so, can we link to it?
Comment 3 Tor Arne Vestbø 2009-09-09 02:55:53 PDT
Please use the keyword 'Qt' for bugs related to QtWebKit. The component 'WebKit Qt' is for QtWebKit API issues only.
Comment 4 Simon Hausmann 2009-12-29 03:45:58 PST
This appears to be one of the few remaining WINSCW issues. Any update on this about the error message, etc.? (See Eric's comment)
Comment 5 Yongjun Zhang 2009-12-30 14:25:56 PST
There was a bug reported against this in Winscw compiler bugzilla:
https://xdabug001.ext.nokia.com/bugzilla/show_bug.cgi?id=10447
Comment 6 Yongjun Zhang 2009-12-30 14:27:21 PST
Created attachment 45686 [details]
add link to winscw compiler bug as suggested by Erik.
Comment 7 WebKit Review Bot 2009-12-30 14:33:53 PST
style-queue ran check-webkit-style on attachment 45686 [details] without any errors.
Comment 8 Laszlo Gombos 2009-12-31 07:03:38 PST
Comment on attachment 45686 [details]
add link to winscw compiler bug as suggested by Erik.

Looks good to me, r+; 

At commit, it would be useful to add a comment right by the macro in RenderStyle.h as well, as Eric suggested.
Comment 9 WebKit Commit Bot 2010-01-04 07:33:50 PST
Comment on attachment 45686 [details]
add link to winscw compiler bug as suggested by Erik.

Clearing flags on attachment: 45686

Committed r52733: <http://trac.webkit.org/changeset/52733>
Comment 10 WebKit Commit Bot 2010-01-04 07:33:55 PST
All reviewed patches have been landed.  Closing bug.